%define upstream_name Math-Base-Convert
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Very fast base to base conversion
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides fast functions and methods to convert between
arbitrary number bases from 2 (binary) thru 65535.

This module is pure Perl, has no external dependencies, and is backward
compatible with old versions of Perl 5.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.110.0-6.mga10
+ Revision: 2199601
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.110.0-5.mga9
+ Revision: 1804457
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-4.mga8
+ Revision: 1495579
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-3.mga7
+ Revision: 1269225
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-2.mga6
+ Revision: 1029545
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 1002135
- update to 0.11

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 967908
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 850783
- imported package perl-Math-Base-Convert

